

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `leafpub119`
--


-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]history`
--

CREATE TABLE `[[dbprefix]]history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post` int(11) NOT NULL,
  `rev_date` datetime NOT NULL,
  `post_data` longtext NOT NULL,
  `initial` binary(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `post` (`post`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `[[dbprefix]]history`
--

INSERT INTO `[[dbprefix]]history` VALUES
(1, 1, '[[regtime]]', '{"id":1,"slug":"welcome-to-leafpub","created":"2016-07-27 22:50:00","pub_date":"2016-07-27 22:50:00","author":"[[admin_username]]","title":"Welcome to Leafpub","content":"<p>Hi, I''m Marc, the creator of Leafpub. Thanks for trying it out!<\\/p>\\n<p>I spent the last two years building Leafpub because I wanted to bring a better publishing experience to designers, developers, and bloggers everywhere.<\\/p>\\n<p>If you enjoy using Leafpub, please pay it forward by <a href=\\"https:\\/\\/twitter.com\\/intent\\/tweet?text=Check%20out%20@leafpubapp:%20a%20free,%20open%20source%20publishing%20platform!%20https:\\/\\/www.leafpub.org\\/\\" target=\\"_blank\\">telling someone<\\/a> about it or <a href=\\"https:\\/\\/www.leafpub.org\\/support\\" target=\\"_blank\\">contributing<\\/a> to the project.<\\/p>\\n<h2>Getting Started<\\/h2>\\n<p>I''ve included a few sample posts to help you get started. Please read through each one to get an idea of how things work.<\\/p>\\n<p>If you need help, head over to <a href=\\"https:\\/\\/community.leafpub.org\\/\\" target=\\"_blank\\">community.leafpub.org<\\/a> for assistance.<\\/p>\\n<h2>Admin Panel<\\/h2>\\n<p>To access the admin panel, go to: <code>your-domain.com\\/admin<\\/code><\\/p>\\n<h2>Quick Tips<\\/h2>\\n<p>Need to find something? Press <code>CMD\\/CTRL + P<\\/code> to open the locater. You can search for posts, tags, users, and more with just a few keystrokes.<\\/p>\\n<p>Want to delete more than one post at a time? Hold down <code>CMD\\/CTRL<\\/code> and click, or select a range by holding down <code>SHIFT<\\/code>. This works for tags and users too.<\\/p>\\n<p>Leafpub saves a copy of every post you publish. From the editor, go to <em>Settings &gt; History<\\/em> to view them. You can also view, restore, and delete revisions from the history panel.<\\/p>\\n<p>Save time using keyboard shortcuts. You''ll find a list of all available shortcuts <a href=\\"https:\\/\\/www.leafpub.org\\/keyboard-shortcuts\\" target=\\"_blank\\">in the docs<\\/a>.<\\/p>\\n<p>You can backup your entire website \\u2014 including content, uploads, and themes \\u2014 by going to <em>Settings &gt; Backups<\\/em>. Leafpub will generate a single <em>.tar<\\/em> file for your convenience.<\\/p>\\n<p>Oh, and don''t forget to update your profile! Set your avatar and tell us about yourself by filling in your bio. Head over to <em>Users<\\/em> to do that now.<\\/p>\\n<p>Looking for a great place to get high quality cover photos? All the ones used in these starter posts are from <a href=\\"https:\\/\\/unsplash.com\\/\\" target=\\"_blank\\">Unsplash<\\/a>.<\\/p>","meta_title":"","meta_description":"","status":"published","page":0,"featured":0,"sticky":1,"image":"content\\/uploads\\/2016\\/10\\/leaves.jpg","tags":["getting-started"],"media":false}', '1'),
(2, 2, '[[regtime]]', '{"id":2,"slug":"the-editor","created":"2016-07-27 22:50:00","pub_date":"2016-07-27 22:50:00","author":"[[admin_username]]","title":"The Editor","content":"<p>Leafpub is the first open source publishing platform to feature true WYSIWYG editing. No more forms or rich-text controls \\u2014 it''s just like typing on the live webpage. Here are some tips for using the editor.<\\/p>\\n<h2>The Toolbar<\\/h2>\\n<p>The toolbar has all the options you''re familiar with. You can format text, insert links or images, and embed content from third-party websites such as Vimeo or Instagram.<\\/p>\\n<p>Leafpub strives to produce clean, semantic markup. The idea is to let authors focus on their content, not on how their content <em>looks<\\/em>. That''s why you won''t find any tools to change fonts, colors, or sizes. Leafpub let''s your theme do all the styling and keeps your markup free from inline CSS.<\\/p>\\n<h2>Drag &amp; Drop<\\/h2>\\n<p>You can insert images and other files using the <em>Images<\\/em> and <em>Link<\\/em> buttons, respectively. Or just drop a file into the editor. Images will be uploaded and inserted directly into your post, and other files will be uploaded and inserted as a link.<\\/p>\\n<h2>Settings<\\/h2>\\n<p>Click the cog button to open the <em>Settings<\\/em> panel. From there, you can fine tune each post from the URL all the way down to metadata.<\\/p>\\n<p>Use the <em>History<\\/em> tab to view all a post''s past revisions. One click will show you a preview of the post at any given time. Another will revert the post back to that state, including all content, metadata, and settings.<\\/p>\\n<h2>Zen Mode<\\/h2>\\n<p>Inline editing is awesome, but sometimes you just want to get in the zone and focus on writing. Leafpub can accommodate you with <em>zen mode<\\/em>. Just click the leaf button and all your styles will disappear so you can become one with your content. Another click will restore Leafpub''s incredible inline editing experience.<\\/p>","meta_title":"","meta_description":"","status":"published","page":0,"featured":0,"sticky":0,"image":"content\\/uploads\\/2016\\/10\\/sunflower.jpg","tags":["getting-started"],"media":false}', '1'),
(3, 3, '[[regtime]]', '{"id":3,"slug":"themes-and-plugins","created":"2016-07-27 22:50:00","pub_date":"2016-07-27 22:50:00","author":"[[admin_username]]","title":"Themes & Plugins","content":"<h2>Themes<\\/h2>\\n<p>Leafpub templates are built with a simple but powerful template system called <em>Handlebars<\\/em>. If you''ve never used Handlebars before, <a href=\\"https:\\/\\/www.leafpub.org\\/intro-to-handlebars\\" target=\\"_blank\\" rel=\\"noopener noreferrer\\">you''re in for a treat<\\/a>.<\\/p>\\n<p>Handlebar templates are easy to create and don''t require any PHP programming whatsoever.<\\/p>\\n<p>The easiest way to get started is to open the <em>.hbs<\\/em> files in <strong>content\\/themes\\/range<\\/strong> and play around with them. They''re just HTML files with <code>{{placeholders}}<\\/code>, so it won''t be long before you''re building your own themes. For more info about themes, check out <a href=\\"https:\\/\\/www.leafpub.org\\/tag\\/themes\\" target=\\"_blank\\" rel=\\"noopener noreferrer\\">these posts<\\/a>.<\\/p>\\n<p>Tip: You might need to configure your text editor to open <em>.hbs<\\/em> files.<\\/p>\\n<h2>Plugins<\\/h2>\\n<p>Plugins are able to extend Leafpub in many ways.&nbsp;<br>They can be a middleware or subscribe to any Leafpub event that gets fired.<br>It''s also possible to define own routes and create new endpoints.<\\/p>\\n<p>For more infos visit the <a href=\\"https:\\/\\/leafpub.org\\/plugins\\" target=\\"_blank\\" rel=\\"noopener noreferrer\\">docs section.<\\/a><\\/p>\\n<p>&nbsp;<\\/p>\\n<p>Let me know how you''d like to extend Leafpub by tweeting to <a href=\\"http:\\/\\/twitter.com\\/leafpub\\" target=\\"_blank\\" rel=\\"noopener noreferrer\\">@leafpub<\\/a>!<\\/p>","meta_title":"","meta_description":"","status":"published","page":0,"featured":0,"sticky":0,"image":"content\\/uploads\\/2016\\/10\\/autumn.jpg","tags":["getting-started"],"media":false}', '1'),
(4, 4, '[[regtime]]', '{"id":4,"slug":"help-and-support","created":"2016-07-27 22:50:00","pub_date":"2016-07-27 22:50:00","author":"[[admin_username]]","title":"Help & Support","content":"<h2>Leafpub is Free Software<\\/h2>\\n<p>There''s \\"free\\" as in freedom and \\"free\\" as in beer, and while I very much appreciate both of those things, it''s important to remember that <strong>even though software may be <em>free<\\/em>, it takes a lot of time and money to develop, maintain, and support.<\\/strong><\\/p>\\n<p>I''m a lone developer with a business to run and a family to feed, so I can''t spend all my time providing free support for Leafpub. If you need help, first <a href=\\"https:\\/\\/leafpub.org\\/docs\\" target=\\"_blank\\">check the docs<\\/a>. If you can''t find an answer there, please ask your question on the <a href=\\"https:\\/\\/community.leafpub.org\\/\\" target=\\"_blank\\">community forum<\\/a> so we can all benefit.<\\/p>\\n<h2>Contribute<\\/h2>\\n<p>This software took me two years to design, develop, and bring to life. If you use Leafpub, please support its development by making a donation. Big or small \\u2014 every penny will go towards making Leafpub even more amazing.<\\/p>\\n<p>To make a contribution, please visit <a href=\\"https:\\/\\/www.leafpub.org\\/support\\" target=\\"_blank\\">leafpub.org\\/support<\\/a>.<\\/p>\\n<h2>Twitter<\\/h2>\\n<p>Stay up to date by following <a href=\\"https:\\/\\/twitter.com\\/leafpub\\" target=\\"_blank\\">@leafpub<\\/a> on Twitter. Send a shoutout if you want, but please don''t ask for help there. Try <a href=\\"https:\\/\\/leafpub.org\\/docs\\" target=\\"_blank\\">the docs<\\/a> or <a href=\\"https:\\/\\/community.leafpub.org\\/\\" target=\\"_blank\\">the forum<\\/a> instead.<\\/p>","meta_title":"","meta_description":"","status":"published","page":0,"featured":0,"sticky":0,"image":"content\\/uploads\\/2016\\/10\\/ladybug.jpg","tags":["getting-started"],"media":false}', '1');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]plugins`
--

CREATE TABLE `[[dbprefix]]plugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(51) NOT NULL,
  `description` varchar(100) NOT NULL,
  `author` varchar(51) NOT NULL,
  `version` varchar(8) NOT NULL,
  `requires` varchar(8) NOT NULL,
  `license` varchar(8) NOT NULL,
  `dir` varchar(51) NOT NULL,
  `img` varchar(100) NOT NULL,
  `link` varchar(100) NOT NULL,
  `isAdminPlugin` binary(1) NOT NULL DEFAULT '0',
  `isMiddleware` binary(1) NOT NULL DEFAULT '0',
  `install_date` datetime NOT NULL,
  `enabled` binary(1) NOT NULL DEFAULT '0',
  `enable_date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `dir` (`dir`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]posts`
--

CREATE TABLE `[[dbprefix]]posts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `slug` varchar(191) NOT NULL,
  `created` datetime NOT NULL,
  `pub_date` datetime NOT NULL,
  `author` int(11) NOT NULL,
  `title` text NOT NULL,
  `content` longtext NOT NULL,
  `image` text NOT NULL,
  `meta_title` text NOT NULL,
  `meta_description` text NOT NULL,
  `status` enum('published','draft') NOT NULL DEFAULT 'published',
  `page` tinyint(1) NOT NULL DEFAULT '0',
  `featured` tinyint(1) NOT NULL DEFAULT '0',
  `sticky` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `pub_date` (`pub_date`),
  FULLTEXT KEY `title_fts` (`slug`,`title`),
  FULLTEXT KEY `content` (`content`),
  FULLTEXT KEY `all_fts` (`slug`,`title`,`content`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `[[dbprefix]]posts`
--

INSERT INTO `[[dbprefix]]posts` VALUES
(1, 'welcome-to-leafpub', '2016-07-28 02:50:00', '2016-07-28 02:50:00', 1, 'Welcome to Leafpub', '<p>Hi, I''m Marc, the creator of Leafpub. Thanks for trying it out!</p>\n<p>I spent the last two years building Leafpub because I wanted to bring a better publishing experience to designers, developers, and bloggers everywhere.</p>\n<p>If you enjoy using Leafpub, please pay it forward by <a href="https://twitter.com/intent/tweet?text=Check%20out%20@leafpubapp:%20a%20free,%20open%20source%20publishing%20platform!%20https://www.leafpub.org/" target="_blank">telling someone</a> about it or <a href="https://www.leafpub.org/support" target="_blank">contributing</a> to the project.</p>\n<h2>Getting Started</h2>\n<p>I''ve included a few sample posts to help you get started. Please read through each one to get an idea of how things work.</p>\n<p>If you need help, head over to <a href="https://community.leafpub.org/" target="_blank">community.leafpub.org</a> for assistance.</p>\n<h2>Admin Panel</h2>\n<p>To access the admin panel, go to: <code>your-domain.com/admin</code></p>\n<h2>Quick Tips</h2>\n<p>Need to find something? Press <code>CMD/CTRL + P</code> to open the locater. You can search for posts, tags, users, and more with just a few keystrokes.</p>\n<p>Want to delete more than one post at a time? Hold down <code>CMD/CTRL</code> and click, or select a range by holding down <code>SHIFT</code>. This works for tags and users too.</p>\n<p>Leafpub saves a copy of every post you publish. From the editor, go to <em>Settings &gt; History</em> to view them. You can also view, restore, and delete revisions from the history panel.</p>\n<p>Save time using keyboard shortcuts. You''ll find a list of all available shortcuts <a href="https://www.leafpub.org/keyboard-shortcuts" target="_blank">in the docs</a>.</p>\n<p>You can backup your entire website â€” including content, uploads, and themes â€” by going to <em>Settings &gt; Backups</em>. Leafpub will generate a single <em>.tar</em> file for your convenience.</p>\n<p>Oh, and don''t forget to update your profile! Set your avatar and tell us about yourself by filling in your bio. Head over to <em>Users</em> to do that now.</p>\n<p>Looking for a great place to get high quality cover photos? All the ones used in these starter posts are from <a href="https://unsplash.com/" target="_blank">Unsplash</a>.</p>', '1', '', '', 'published', 0, 0, 1),
(2, 'the-editor', '2016-07-28 02:50:00', '2016-07-28 02:50:00', 1, 'The Editor', '<p>Leafpub is the first open source publishing platform to feature true WYSIWYG editing. No more forms or rich-text controls â€” it''s just like typing on the live webpage. Here are some tips for using the editor.</p>\n<h2>The Toolbar</h2>\n<p>The toolbar has all the options you''re familiar with. You can format text, insert links or images, and embed content from third-party websites such as Vimeo or Instagram.</p>\n<p>Leafpub strives to produce clean, semantic markup. The idea is to let authors focus on their content, not on how their content <em>looks</em>. That''s why you won''t find any tools to change fonts, colors, or sizes. Leafpub let''s your theme do all the styling and keeps your markup free from inline CSS.</p>\n<h2>Drag &amp; Drop</h2>\n<p>You can insert images and other files using the <em>Images</em> and <em>Link</em> buttons, respectively. Or just drop a file into the editor. Images will be uploaded and inserted directly into your post, and other files will be uploaded and inserted as a link.</p>\n<h2>Settings</h2>\n<p>Click the cog button to open the <em>Settings</em> panel. From there, you can fine tune each post from the URL all the way down to metadata.</p>\n<p>Use the <em>History</em> tab to view all a post''s past revisions. One click will show you a preview of the post at any given time. Another will revert the post back to that state, including all content, metadata, and settings.</p>\n<h2>Zen Mode</h2>\n<p>Inline editing is awesome, but sometimes you just want to get in the zone and focus on writing. Leafpub can accommodate you with <em>zen mode</em>. Just click the leaf button and all your styles will disappear so you can become one with your content. Another click will restore Leafpub''s incredible inline editing experience.</p>', '2', '', '', 'published', 0, 0, 0),
(3, 'themes-and-plugins', '2016-07-28 02:50:00', '2016-07-28 02:50:00', 1, 'Themes & Plugins', '<h2>Themes</h2>\n<p>Leafpub templates are built with a simple but powerful template system called <em>Handlebars</em>. If you''ve never used Handlebars before, <a href="https://www.leafpub.org/intro-to-handlebars" target="_blank" rel="noopener noreferrer">you''re in for a treat</a>.</p>\n<p>Handlebar templates are easy to create and don''t require any PHP programming whatsoever.</p>\n<p>The easiest way to get started is to open the <em>.hbs</em> files in <strong>content/themes/range</strong> and play around with them. They''re just HTML files with <code>{{placeholders}}</code>, so it won''t be long before you''re building your own themes. For more info about themes, check out <a href="https://www.leafpub.org/tag/themes" target="_blank" rel="noopener noreferrer">these posts</a>.</p>\n<p>Tip: You might need to configure your text editor to open <em>.hbs</em> files.</p>\n<h2>Plugins</h2>\n<p>Plugins are able to extend Leafpub in many ways.&nbsp;<br>They can be a middleware or subscribe to any Leafpub event that gets fired.<br>It''s also possible to define own routes and create new endpoints.</p>\n<p>For more infos visit the <a href="https://leafpub.org/plugins" target="_blank" rel="noopener noreferrer">docs section.</a></p>\n<p>&nbsp;</p>\n<p>Let me know how you''d like to extend Leafpub by tweeting to <a href="http://twitter.com/leafpub" target="_blank" rel="noopener noreferrer">@leafpub</a>!</p>', '3', '', '', 'published', 0, 0, 0),
(4, 'help-and-support', '2016-07-28 02:50:00', '2016-07-28 02:50:00', 1, 'Help & Support', '<h2>Leafpub is Free Software</h2>\n<p>There''s "free" as in freedom and "free" as in beer, and while I very much appreciate both of those things, it''s important to remember that <strong>even though software may be <em>free</em>, it takes a lot of time and money to develop, maintain, and support.</strong></p>\n<p>I''m a lone developer with a business to run and a family to feed, so I can''t spend all my time providing free support for Leafpub. If you need help, first <a href="https://leafpub.org/docs" target="_blank">check the docs</a>. If you can''t find an answer there, please ask your question on the <a href="https://community.leafpub.org/" target="_blank">community forum</a> so we can all benefit.</p>\n<h2>Contribute</h2>\n<p>This software took me two years to design, develop, and bring to life. If you use Leafpub, please support its development by making a donation. Big or small â€” every penny will go towards making Leafpub even more amazing.</p>\n<p>To make a contribution, please visit <a href="https://www.leafpub.org/support" target="_blank">leafpub.org/support</a>.</p>\n<h2>Twitter</h2>\n<p>Stay up to date by following <a href="https://twitter.com/leafpub" target="_blank">@leafpub</a> on Twitter. Send a shoutout if you want, but please don''t ask for help there. Try <a href="https://leafpub.org/docs" target="_blank">the docs</a> or <a href="https://community.leafpub.org/" target="_blank">the forum</a> instead.</p>', '4', '', '', 'published', 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]post_tags`
--

CREATE TABLE `[[dbprefix]]post_tags` (
  `post` int(11) NOT NULL,
  `tag` int(11) NOT NULL,
  KEY `post` (`post`),
  KEY `tag` (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `[[dbprefix]]post_tags`
--

INSERT INTO `[[dbprefix]]post_tags` VALUES
(1, 1),
(2, 1),
(3, 1),
(4, 1);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]post_uploads`
--

CREATE TABLE `[[dbprefix]]post_uploads` (
  `post` int(11) NOT NULL,
  `upload` int(11) NOT NULL,
  KEY `post` (`post`),
  KEY `upload` (`upload`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]settings`
--

CREATE TABLE `[[dbprefix]]settings` (
  `name` varchar(191) NOT NULL,
  `value` longtext NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `[[dbprefix]]settings`
--

INSERT INTO `[[dbprefix]]settings` VALUES
('auth_key', '[[auth_key]]'),
('allowed_upload_types', 'pdf,doc,docx,ppt,pptx,pps,ppsx,odt,xls,xlsx,psd,txt,md,csv,jpg,jpeg,png,gif,ico,svg,mp3,m4a,ogg,wav,mp4,m4v,mov,wmv,avi,mpg,ogv,3gp,3g2'),
('cover', 'source/assets/img/leaves.jpg'),
('default_content', 'Start writing here...'),
('default_title', 'Untitled Post'),
('favicon', 'source/assets/img/logo-color.png'),
('foot_code', ''),
('frag_admin', 'admin'),
('frag_author', 'author'),
('frag_blog', 'blog'),
('frag_feed', 'feed'),
('frag_page', 'page'),
('frag_search', 'search'),
('frag_tag', 'tag'),
('generator', 'on'),
('hbs_cache', 'on'),
('head_code', ''),
('homepage', ''),
('language', '[[language]]'),
('logo', 'source/assets/img/logo-color.png'),
('maintenance', 'off'),
('maintenance_message', '<p>Sorry for the inconvenience but we&rsquo;re performing some maintenance at the moment. We&rsquo;ll be back online shortly!</p><p>&mdash; The Team</p>'),
('navigation', '[{"label":"Home","link":"/"}]'),
('posts_per_page', '10'),
('tagline', 'Go forth and create!'),
('theme', 'range'),
('timezone', 'America/New_York'),
('title', '[[site_name]]'),
('twitter', ''),
('password_min_length', '8'),
('mailer', 'default'),
('schemeVersion', '2');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]tags`
--

CREATE TABLE `[[dbprefix]]tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `slug` varchar(191) NOT NULL,
  `created` datetime NOT NULL,
  `name` text NOT NULL,
  `description` text NOT NULL,
  `cover` text NOT NULL,
  `meta_title` text NOT NULL,
  `meta_description` text NOT NULL,
  `type` enum('post','upload') NOT NULL DEFAULT 'post',
  PRIMARY KEY (`id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]tags`
--

INSERT INTO `[[dbprefix]]tags` VALUES
(1, 'getting-started', '[[regtime]]', 'Getting Started', 'This is a sample tag. You can delete it, rename it, or do whatever you want with it!', '', '', '', 'post');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]uploads`
--

CREATE TABLE `[[dbprefix]]uploads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `caption` varchar(191) NOT NULL,
  `created` datetime NOT NULL,
  `path` varchar(191) NOT NULL,
  `filename` varchar(90) NOT NULL,
  `extension` varchar(10) NOT NULL,
  `size` int(11) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `filename` (`filename`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `[[dbprefix]]uploads`
--

INSERT INTO `[[dbprefix]]uploads` VALUES
(1, '', '2017-02-01 12:23:45', 'content/uploads/2016/10/', 'leaves', 'jpg', 254734, 3000, 2008),
(2, '', '2017-02-01 12:24:28', 'content/uploads/2016/10/', 'sunflower', 'jpg', 280779, 3000, 1990),
(3, '', '2017-02-01 12:24:40', 'content/uploads/2016/10/', 'autumn', 'jpg', 383879, 3000, 2000),
(4, '', '2017-02-01 12:24:54', 'content/uploads/2016/10/', 'ladybug', 'jpg', 277815, 3000, 1993);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]upload_tags`
--

CREATE TABLE `[[dbprefix]]upload_tags` (
  `upload` int(11) NOT NULL,
  `tag` int(11) NOT NULL,
  KEY `tag` (`tag`),
  KEY `upload` (`upload`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]users`
--

CREATE TABLE `[[dbprefix]]users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `slug` varchar(191) NOT NULL,
  `created` datetime NOT NULL,
  `name` varchar(191) NOT NULL,
  `email` varchar(191) NOT NULL,
  `password` varchar(191) NOT NULL,
  `reset_token` varchar(191) NOT NULL,
  `role` enum('owner','admin','editor','author') NOT NULL DEFAULT 'author',
  `bio` text NOT NULL,
  `cover` text NOT NULL,
  `avatar` text NOT NULL,
  `twitter` varchar(191) NOT NULL,
  `location` text NOT NULL,
  `website` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `slug` (`slug`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]users`
--

INSERT INTO `[[dbprefix]]users` VALUES
(1, '[[admin_username]]', '[[regtime]]', '[[admin_realname]]', '[[admin_email]]', '[[admin_pass]]', '', 'owner', '', '', '', '', '', '');

-- --------------------------------------------------------

--
-- Stand-in structure for view `[[dbprefix]]view_posts`
--
CREATE TABLE `[[dbprefix]]view_posts` (
`id` int(11)
,`slug` varchar(191)
,`created` datetime
,`pub_date` datetime
,`author` varchar(191)
,`title` text
,`content` longtext
,`meta_title` text
,`meta_description` text
,`status` enum('published','draft')
,`page` tinyint(1)
,`featured` tinyint(1)
,`sticky` tinyint(1)
,`image` varchar(292)
);
-- --------------------------------------------------------

--
-- Structure for view `[[dbprefix]]view_posts`
--
DROP TABLE IF EXISTS `[[dbprefix]]view_posts`;

CREATE ALGORITHM=UNDEFINED SQL SECURITY DEFINER VIEW `[[dbprefix]]view_posts` AS select `a`.`id` AS `id`,`a`.`slug` AS `slug`,`a`.`created` AS `created`,`a`.`pub_date` AS `pub_date`,`c`.`slug` AS `author`,`a`.`title` AS `title`,`a`.`content` AS `content`,`a`.`meta_title` AS `meta_title`,`a`.`meta_description` AS `meta_description`,`a`.`status` AS `status`,`a`.`page` AS `page`,`a`.`featured` AS `featured`,`a`.`sticky` AS `sticky`,concat_ws('.',concat(`b`.`path`,`b`.`filename`),`b`.`extension`) AS `image` from ((`[[dbprefix]]posts` `a` left join `[[dbprefix]]uploads` `b` on((`a`.`image` = `b`.`id`))) join `[[dbprefix]]users` `c` on((`a`.`author` = `c`.`id`)));

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
